### Virtual Method

# Gio IOStream get_input_stream

since: 2.22

#### Declaration

    GInputStream*
    get_input_stream (
      GIOStream* stream
    )

#### Description

Gets the input stream for this object. This is used for reading.

Available since: 2.22

#### Return value

Type: `GInputStream`

A `GInputStream`, owned by the `GIOStream`. Do not free.

The data is owned by the called function.